<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TaskJR4.50</title> 
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/fontawesome.min.css">
    <style>
        .div-1 {
            display: flex;
            min-height: 100px;
            align-items: center;
            justify-content: center;
            background-color: #D2691E;
        }
        .nav {
            display: flex;
            flex-direction: column;
            background-color: lightgreen;
            align-items: center;
            width: 10%;
            height: 599.2px;
        }
        a:hover {
            color: red;
        }
        .main {
            background-color: #9df5d7;
            padding: 16px ;
            width: 65%;
        }
        .aside {
            background-color: lightBlue;
            padding: 16px 16px;
            width: 24%;
        }
        .box {
            display: flex;
            width: 100%;
            flex-wrap: nowrap;
        }
        * {
            margin: 4px 8px;
        }
        .div-3 {
            display: flex;
            background-color: #D2691E;
            height: 50px;
            justify-content: center;
            align-items: center;
        }
    </style>
</head>
<body>
    <div class="div-1">
        <h2>HTML5 Semantics and Flexbox</h2>
    </div>
    <div>
        <div class="box">
            <div class="nav">
                <br>
                <h4>Navigate</h4>
                <strong>
                    <h5>Home</h5>
                    <br>
                    <a href="">Link 1</a>
                    <br>
                    <a href="">Link 2</a>
                </strong>
            </div>
            <div class="main">
                <br>
                <h3>About This Page</h3>
                <p>On this page, I am experimenting with HTML5 semantics and CSS flexbox for a tidy layout.</p>
                <p>On JS Bin, I purposedly includes the stylesheet on the HTML tab (instead of separate CSS tab) for
                    easier code reading for those with small screen.</p>
                <p>The main element is placed within a div element along with nav and aside. I don't know if this is
                    right or wrong (let me know?).</p>
                <p>Navigation links are placed within nav, laid on the left. The main is at the center column (this
                    column). Within it is the main topic (this article).</p>
                <p>The aside element is at the rightmost of the column, I put supplemental information on it.</p>
                <h3>Test This Page!</h3>
                <p>Do test this page by:</p>
                <ul>
                    <li>Resizing the browser windows; see if flexbox lives up to its reputation.</li>
                    <li>Run HTML Outliner or HeadingsMap (or similar tool) and see if the outline is good.</li>
                    <li>Check the markup in this page with W3C Markup validator; see if the markups are good. Paste the
                        URL of this page to the address column.
                        <br>
                        <a href="">Click here to try!.</a>
                    </li>
                    <li>
                        Check the CSS part of this page too!
                        <a href="">Click here!</a>
                    </li>
                </ul>
            </div>
            <div class="aside">
                <br>
                <h3>HTML</h3>
                <br>
                <p>Stands for HyperText Markup Language. The current standard is HTML5.</p>
                <br>
                <h3>CSS</h3>
                <br>
                <p>Stands for Cascaded Style Sheet. The current standard is CSS3.</p>
                <br>
                <h3>URL</h3>
                <br>
                <p>Short for Uniform Resource Locator. It is a reference (an address) to a resource on the Internet.</p>
            </div>
        </div>
    </div>
    <div class="container-fluid div-3">
        <h5>Aug, 2022 @ Devcamp</h5>
    </div>
</body>

</html>